




<ion-header>

  <ion-navbar>
    <ion-title>CREATE ACCOUNT</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
    <form [formGroup]="myForm" (ngSubmit)="submit()" class="signupform">
       
        <ion-grid> 
            <ion-row>
               
                <ion-item>
                    <ion-label>Title<span>*</span></ion-label>
                      <ion-select [ngModelOptions]="{standalone: true}" [(ngModel)]="data.Title"  >
                        <ion-option  *ngFor="let item of Title " [value]="item"  >{{item}} </ion-option>
                      </ion-select>
                  </ion-item>
                  <div *ngIf="data.Title==null && isSubmitted" style="color: red"> Title is required.</div>
              <ion-item>
                  <ion-label>First Name</ion-label>
                  <ion-input required  formControlName='firstname'></ion-input>
                </ion-item>
                <div *ngIf="firstname.invalid && isSubmitted" style="color: red; "> First Name is required.</div>

                <ion-item>
                    <ion-label>Last Name</ion-label>
                    <ion-input required  formControlName='lastname' ></ion-input>
                  </ion-item>
                  <div *ngIf="lastname.invalid && isSubmitted" style="color: red; "> Last Name is required.</div>
               
               
                <ion-item>
                  <ion-label>Email<span>*</span></ion-label>
                  <ion-input required formControlName='emailid' type="email" (change)="emailChange()" ></ion-input>
                </ion-item>
                <div *ngIf="emailid.invalid && isSubmitted && isEmailMatched" style="color: red ; "> Email is required.</div>
                <div *ngIf="emailid.dirty && emailid.invalid && !isEmailMatched" style="color: red; ">Please provide a valid email address.</div>
               
                
                <div class="tooltipmin">
                <ion-item class="width w-100" >
                  <ion-label>Password<span>*</span></ion-label>
                  <ion-input    type="password"    [ngModelOptions]="{standalone: true}" [(ngModel)]="password"   ></ion-input>
                </ion-item>

                <div class="tooltip">
                  <ion-icon name="help-circle"></ion-icon>
                  <span class="tooltiptext"> 
                    Please enter a password that is at least 8 characters long and contains one Upper case letter and at least one number. Specials characters are not accepted.

                  </span>
                </div>
              </div>
                <!--<div class="custom-label" *ngIf="password=='' && isPasswordFormatMatched && isSpecialPasswordFormatMatched " style="color:#f53d3d; ">Password is required</div>

                <div class="custom-label" *ngIf="password!='' && !isPasswordFormatMatched " style="color:#f53d3d; ">Please enter a password that is at least 8 characters long and contains one Upper case letter and at least one number</div>-->

                <div class="custom-label" style="color:#f53d3d; ">{{passworderrormsg}}</div>


                
                <ion-item class="width">
                  <ion-label>Confirm Password<span>*</span></ion-label>
                  <ion-input   type="password"  [ngModelOptions]="{standalone: true}"  [(ngModel)]="confirmPassword" (change)="passwordChange()"  ></ion-input>
                </ion-item>

                <div class="custom-label"   style="color:#f53d3d; ">{{confirmpassworderrormsg}}</div> 


              <!-- <div class="custom-label"  *ngIf="confirmPassword!=undefined"  style="color:#f53d3d; ">{{confirmpassworderrormsg}}Confirm password is required</div> 
                
                <div class="custom-label" *ngIf="password!='' && confirmPassword!='' && !isMatched" style="color:#f53d3d; ">Please ensure both passwords match</div><br/>--> 
               
                <ion-item>
                    <ion-label>Country</ion-label>
                    <ion-select   [ngModelOptions]="{standalone: true}" [(ngModel)]="data.Country"  >
                        <ion-option   *ngFor="let item of Country " [value]="item"  >{{item}}</ion-option>
                      
                    </ion-select>
                     
                  </ion-item>
                  <div *ngIf="data.Country==null && isSubmitted" style="color: red"> Country is required.</div>
               


                <div class="tooltipmin">
                  <ion-item class="width w-100">
                    <ion-label>Mobile Number<span>*</span>
                    </ion-label> 
                    <ion-input *ngIf="data.Country!=null" type="text" placeholder="{{data.Country == 'United Kingdom' ? '+44(0)' : data.Country == 'India' ? '+91(0)' :''}}" class="w-25 inline-block p-r-5"></ion-input>
                    <ion-input   required  type="number"   formControlName='contact' (change)="mobileChange()" class="w-75 inline-block"></ion-input>





                  </ion-item>
                  <div class="tooltip" *ngIf="data.Country != null">
                    <ion-icon name="help-circle"></ion-icon>
                    <span class="tooltiptext"> 
                      <span *ngIf="data.Country == 'United Kingdom'">Please enter your mobile phone number in the format 7573111111 </span>
                      <span  *ngIf="data.Country == 'India'"> Please enter your mobile phone number in the format 9871111111</span> 
                    </span>
                  </div>
                </div>
                <div *ngIf="contact.invalid && isSubmitted && isMobileMatched" style="color: red; "> Contact is required.</div>
                <div *ngIf="contact.dirty && contact.invalid && !isMobileMatched" style="color: red; "> Invalid contact number.</div>
    
                
              <!--  <ion-item class="width">
                  <ion-label>Home Number</ion-label>
                  <ion-input  ></ion-input>
                </ion-item>
                 <div *ngIf="contact1.invalid && isSubmitted" style="color: red; padding-left: 16px;"> Contact is required!</div>
                <div *ngIf="contact1.dirty && contact1.invalid" style="color: red; padding-left: 16px;"> Invalid contact number!</div> 
                <ion-item>
                  <ion-label>Address-1<span>*</span></ion-label>
                  <ion-input required  formControlName='Address' ></ion-input>
                </ion-item>
                <div *ngIf="Address.invalid && isSubmitted" style="color: red; padding-left: 16px;"> Address-1 is required!</div>
                <ion-item>
                  <ion-label>Address-2</ion-label>
                  <ion-input    [ngModelOptions]="{standalone: true}" [(ngModel)]="Address1"></ion-input>
                </ion-item>-->
                <!-- <ion-item>
                  <ion-label>Address-1<span>*</span></ion-label>
                  <ion-input placeholder="Josh.gates@example.co.uk"></ion-input>
                </ion-item> -->
               <!-- <ion-item class="width">
                  <ion-label>City<span>*</span></ion-label>
                  <ion-input required formControlName='City' ></ion-input>
                </ion-item>
                <div *ngIf="City.invalid && isSubmitted" style="color: red; padding-left: 16px;">City is required!</div>
                <ion-item class="width">
                  <ion-label>Postal Code<span>*</span></ion-label>
                  <ion-input   required type="number" formControlName='postcode'  ></ion-input>
                </ion-item>
                <div *ngIf="postcode.invalid && isSubmitted" style="color: red"> Postcode is required!</div>
                <div *ngIf="postcode.dirty && postcode.invalid" style="color: red"> Invalid postcode!</div>-->
               
                <!-- <div *ngIf="Country.invalid && isSubmitted" style="color: red"> Country is required!</div> -->
            
                  <ion-item *ngFor="let item of checklists" text-wrap>
                      <ion-checkbox (ionChange)="selectTerms(item.value, $event)" checked></ion-checkbox><ion-label>{{ item.title }}</ion-label>
                  </ion-item>
                
                  <div *ngIf="!TermsChecked" style="color: red"> Terms & condition and privacy policy is required!</div>
              </ion-row>
        </ion-grid>
    
    
        <ion-grid class="button-col-box">
            <ion-row>
               
                <ion-col col-12>
                    <button class="done" >SUBMIT</button>
                    <!--<button class="cancel">CANCEL</button>-->
                </ion-col>
            </ion-row>
        </ion-grid>
    
      </form>
    
</ion-content>
